List lists
Namespace: microsoft.graph
Get a list of the todoTaskList objects and their properties.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Tasks.ReadWrite |
| Delegated (personal Microsoft account) | Tasks.ReadWrite |
| Application | Not supported |
HTTP request
GET /me/todo/lists
GET /users/{id|userPrincipalName}/todo/lists
Optional query parameters
This method supports some of the OData query parameters to help customize the response. For general information, see OData query parameters.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of todoTaskList objects in the response body.
Examples
Request
GET https://graph.microsoft.com/beta/me/todo/lists
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.todoTaskList",
"id": "AAMkADIyAAAAABrJAAA=",
"displayName": "Tasks",
"isOwner": true,
"isShared": false,
"wellknownListName": "defaultList"
},
{
"@odata.type": "#microsoft.graph.todoTaskList",
"id": "AAMkADIyAAAEFTTrJAAA=",
"displayName": "Monthly Tasks",
"isOwner":true,
"isShared": false,
"wellknownListName": "none"
}
]
}
Feedback
Submit and view feedback for